29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
DNS automation
v1.6.2
Download OpenAPI
Get a web hosting package
Get a web hosting package
GET
/hosting/packages/{id}
HostingPackagesByID

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
id
path
string
-
Required
Package id (the `id` field of a hosting package).

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/hosting/packages/example' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
Hosting package
application/jsonhostingPackage
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "example",
    "webhost_id": 1,
    "plan": "example",
    "status": "example",
    "active": true
  }
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
Package not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "Package not found",
  "error": "Package not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Zostań częścią społeczności

Regfish DNS API to świetne rozwiązanie dla programistów, którzy chcą zautomatyzować domeny i strefy DNS. Zostań częścią społeczności i skorzystaj z automatyzacji DNS. API DNS jest dostępne bezpłatnie dla każdego klienta Regfish.